import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

//classe de l'observateur pour la sauvegarde

public class observateurSAV implements MouseListener{
	private plateau plat;	//le plateau
	private paintMenuJeu button;	//notre boutons de sauvegarde
	private boolean fonction;	//la fonction
	public observateurSAV(paintMenuJeu button0, plateau plat0){
		this.button=button0;
		this.plat=plat0;
		this.fonction=false;	// par default a false (mode sauvegarde)
	}
	public void setFonction(boolean fonction0){
		this.fonction=fonction0;	//pour modifier la fonction plus tard
	}
	@Override
	public void mouseClicked(MouseEvent evenement){
		//si fonction false (mode sauvegarde)
		if(this.fonction==false){
			plat.save();
		}
		//sinp=on mode rejouer
		if(this.fonction==true){
			plat= new plateau(plat.getFenetre());
			plat.menuChoixTypePartie();
		}
	}
	@Override          // un bouton cliqué
	public void mouseEntered(MouseEvent evenement){
		//on indique au composant le survol
		this.button.setSurvol(true);
	}
	@Override          // debut du survol
	public void mouseExited(MouseEvent evenement){
		//on indique au composant la fin du survol
		this.button.setSurvol(false);
	}
	@Override          // fin du survol
	public void mousePressed(MouseEvent evenement){

	}
	@Override          // un bouton appuyé
	public void mouseReleased(MouseEvent evenement){

	}
}